public class IsPalindromeString {
    public static void main(String[] args) {
        System.out.println(isPalindrome("racecar"));
        System.out.println(isPalindrome("tacocat"));
        System.out.println(isPalindrome("ABBA"));
        System.out.println(isPalindrome("x"));
        System.out.println(isPalindrome(""));
        System.out.println(isPalindrome("banana"));
        System.out.println(isPalindrome("abcbba"));
        System.out.println(isPalindrome("bramb"));
    }

    public static boolean isPalindrome(String s) {
        if (s.length() <= 1 || s.equals(ReverseString.reverse(s))) {
            return true;
        }
        return false;
    }
}
